import BaseCard from '@elements/BaseCard/index.vue';
import BaseButton from '@elements/BaseButton/index.vue';

export default {
  name: 'AsideContent',
  components: {
    BaseCard,
    BaseButton,
  },
  props: {
    sizeHeight: {
      type: String,
      validator(value) {
        return ['small', 'medium', 'large'].indexOf(value) !== -1;
      },
    },
    title: String,
  },
  data() {
    return {
      showAside: true,
      height: {
        small: '440px',
        medium: '540px',
        large: '640px',
      },
    };
  },
  created() {
    if (window.innerWidth <= 680) {
      this.onClickAside();
    }
  },
  methods: {
    onClickAside() {
      this.showAside = !this.showAside;
      this.$emit('show-aside', this.showAside);
    },
  },
};
